<!--The content below is only a placeholder and can be replaced.-->
<nav class="navbar">
  <div class="navbar-header">
    <a href="/"><img src="favicon.ico" alt="Angular" class="logo"></a>
  </div>
  <ul class="navbar-pill">
    <ng-template [ngIf]="!authService.isAuthenticated()">
        <li routerLinkActive="active">
            <a routerLink="/register">Register</a>
          </li>
          <li routerLinkActive="active">
            <a routerLink="/login">Login</a>
          </li>
    </ng-template>
      <li routerLinkActive="active" *ngIf="authService.isAuthenticated()">
        <a routerLink="/mcq">MCQ</a>
      </li>
      <li routerLinkActive="active" *ngIf="authService.isAuthenticated()">
          <a style="cursor:pointer" (click)="authService.SignOut()" >Logout</a>
        </li>

    </ul>
</nav>

<main>
  <router-outlet></router-outlet>
</main>
